/* Xeno Network Styles */

:root {
    --dark: #080D27;
    --dark-alt: #141932;
    --neutral: #BDBDBD;
    --white: #fff;
    --light: #F2F2F2;
    --success: #7AE582;
    --success-alt: #57cf60;
    --danger: #c83319;
}

*, ::after, ::before {
    box-sizing: border-box;
}

body {
    padding: 0;
    margin: 0;
    background-color: var(--neutral);
    color: var(--dark);
    font: normal 400 16px/24px 'Inter', sans-serif;
}

.bg-dark {
    background-color: var(--dark);
}

.bg-dark-alt {
    background-color: var(--dark-alt);
    opacity: 0.9;
}

.text-neutral {
    color: var(--neutral);
}

.text-white {
    color: var(--white);
}

.text-danger {
    color: var(--danger);
}

main {
    text-align: center;
    background-color: var(--dark);
    color: var(--white);
    margin-left: auto;
    margin-right: auto;
}

.p-0 {
    padding: 0 !important;
}

.p-sm {
    padding: 0.3rem;
}

.p-half {
    padding: 0.5rem;
}

.p-1 {
    padding: 1rem;
}

.pb-2 {
    padding-bottom: 2rem;
}

.pt-2 {
    padding-top: 2rem;
}

.py-2 {
    padding-top: 2rem;
    padding-bottom: 2rem;
}

.px-2 {
    padding-left: 2rem;
    padding-right: 2rem;
}

.mt-0 {
    margin-top: 0;
}

.mb-0 {
    margin-bottom: 0;
}

.mb-1 {
    margin-bottom: 1rem;
}

.mb-2 {
    margin-bottom: 2rem;
}

.my-1 {
    margin-top: 1rem;
    margin-bottom: 1rem;
}

.my-2 {
    margin-top: 2rem;
    margin-bottom: 2rem;
}

.logo-cont {
    background-image: url('../images/logo-bg.svg');
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    width: 300px;
    height: 150px;
    margin-left: auto;
    margin-right: auto;
}

.logo-cont img.logo-center {
    width: 30%;
    margin-top: 5%;
}

header {
    width: 90%;
    margin: 0 auto;
    text-align: center;
}

.text-title {
    color: var(--white);
    font: normal 500 28px/40px 'Inter', sans-serif;
}

.text-title-alt {
    color: var(--white);
    font: normal 500 24px/40px 'Inter', sans-serif;
}

.text-left {
    text-align: left!important;
}

.text-center {
    text-align: center;
}

.intro-desc {
    width: 90%;
    margin: 1rem auto;
    color: var(--neutral);
    text-align: center;
    font: normal 400 18px/24px 'Inter', sans-serif;
}

.intro-desc-alt {
    margin: 0.3rem auto;
    color: var(--neutral);
    text-align: center;
    font: normal 400 14px/24px 'Inter', sans-serif;
}

.d-flex {
    display: flex;
    flex-wrap: wrap;
}

.gap-1half {
    gap: 1.5rem;
}

.col {
    width: 100%;
}

.order-1 {
    order: 1!important;
}

.order-2 {
    order: 2!important;
}

.btn-cont {
    width: -moz-fit-content;
    width: fit-content;
    padding: 20px;
    margin: 20px auto;
}

.d-btn {
    width: 200px;
    display: block;
}

.btn-alt {
    display: inline-block;
    background-color: var(--success);
    color: var(--dark);
    font: normal 500 16px/20px 'Inter', sans-serif;
    text-align: center;
    padding: 15px 25px;
    margin-top: 30px;
    border-radius: 50px;
    text-decoration: none;
}

.btn-alt:hover {
    background-color: var(--success-alt);
}

.btn-sm {
    padding-top: 0.3rem;
    padding-bottom: 0.3rem;
}


.mx-auto {
    margin-left: auto;
    margin-right: auto;
}


/* Styles for copying invite link */
.invite-link {
    display: flex;
    padding: 10px 20px;
    align-items: center;
    justify-content: space-between;
    border-radius: 30px;
    background: linear-gradient(180deg, rgba(123, 127, 147, 0.10) 0%, rgba(115, 120, 150, 0.10) 100%);
    backdrop-filter: blur(12.5px);
    width: 60%;
    min-width: 300px;
    margin: auto;
}

#refCode {
    background-color: transparent;
    color: var(--success);
    width: 80%;
    font: normal 400 16px/24px 'Inter', sans-serif;
    padding: 3px;
    border: none;
    outline: none;
}

.copy-btn {
    background-color: transparent;
    color: var(--neutral);
    width: 25%;
    border: none;
    text-align: center;
    text-decoration: none;
    font: normal 500 16px/24px 'Inter', sans-serif;
    cursor: pointer;
}

.copy-btn .d-flex {
    flex-wrap: nowrap;
}

.img-cont {
    width: 100%;
}

.img-cont img {
    width: 100%;
}

.space-between {
    justify-content: space-between;
}

.justify-center {
    justify-content: center;
}

.d-none {
    display: none;
}

footer {
    padding: 10px 20px;
    background: linear-gradient(to top, var(--dark), transparent);
    border-top: 0.5px solid var(--dark-alt);
}

.slogan {
    color: var(--white);
    font: normal 600 20px/48px 'Inter', sans-serif;
}

.social {
    padding-left: 10px;
}

.social h3 {
    color: var(--white);
    font: normal 600 16px/36px 'Inter', sans-serif;
    margin-bottom: 0;
    margin-top: 0;
}

.list-unstyled {
    list-style: none;
}

.no-decoration {
    text-decoration: none;
}

.social ul {
    padding-inline-start: 0;
    margin-bottom: 0;
    margin-top: 0;
}

.social li a {
    color: var(--light);
    font: normal 400 16px/36px 'Inter', sans-serif;
}

.social li a:hover {
    color: var(--success);
}

.ad-item {
    padding: 30px 20px;
    border-radius: 10px;
}

hr {
    border-top: none;
    border-color: var(--neutral);
}

.stats {
    display: flex;
    gap: 0.5rem;
    align-items: center;
}

.stats span {
    display: inline-flex;
    align-items: center;
    gap: 0.2rem;
    font-size: smaller;
    padding: 0px 10px;
    border: 1px solid var(--neutral);
    border-radius: 7px;
}

.d-inline-block {
    display: inline-block;
}

a.text-decoration-none {
    text-decoration: none;
}

.stats-cont {
    box-shadow: 10px 10px 34px 0px rgba(0, 0, 0, 0.05);
    backdrop-filter: blur(30px);
    border: 2px solid rgba(255, 255, 255, 0.05);
    border-radius: 20px;
}

.stat-item-cont {
    display: inline-block;
    border-radius: 10px;
    border: 2px solid rgba(255, 255, 255, 0.00);
    background: radial-gradient(467.79% 145.54% at 0% 3.68%, rgba(255, 255, 255, 0.06) 0%, rgba(255, 255, 255, 0.03) 100%);
    box-shadow: 10px 10px 34px 0px rgba(0, 0, 0, 0.05);
    backdrop-filter: blur(30px);
    padding: 10px 30px;
    margin: 10px;
    min-width: 200px;
}

.stat-item-cont .stat-text {
    color: var(--light);
    text-align: center;
    font-size: smaller;
    line-height: 35px;
}

.stat-item-cont .stat-number {
    color: var(--success);
    text-align: center;
    font-size: x-large;
    font-weight: 700;
    line-height: 35px;
}

.form-cont-sm {
    max-width: 600px;
    margin: 0 auto;
    padding: .3rem;
}

.form-group {
    background-color: var(--dark-alt);
    text-align: left;
    padding: 10px 20px;
    border-radius: 10px;
    margin-bottom: 1rem;
}

label {
    display: block;
    margin-bottom: 0;
    color: var(--neutral);
}

input, select {
    background-color: transparent;
    color: var(--white) !important;
    border: none;
    outline: none;
    width: 100%;
}

select {
    background-color: var(--dark-alt);
}

option {
    color: var(--white) !important;
    font-size: smaller;
}
option:hover {
    background-color: var(--dark) !important;
}

::placeholder {
    color: var(--neutral);
}


/* Media query for small screens */
@media (min-width: 768px) {
    body {
        font: normal 400 32px/48px 'Inter', sans-serif;
    }

    .w-md-90 {
        width: 90%;
    }

    .w-md-80 {
        width: 80%;
    }

    .me-md-30 {
        margin-right: 30px;
    }

    .d-btn {
        width: 250px;
        display: inline-block;
    }

    .btn-alt {
        font: normal 500 32px/48px 'Inter', sans-serif;
    }

    .logo-cont {
        width: 500px;
        height: 250px;
    }

    .text-title {
        font: normal 600 54px/76px 'Inter', sans-serif;
    }

    .text-title-alt {
        font: normal 500 44px/65px 'Inter', sans-serif;
    }

    .intro-desc {
        color: var(--neutral);
        font: normal 400 32px/48px 'Inter', sans-serif;
    }

    .intro-desc-alt {
        text-align: left;
        font: normal 400 28px/48px 'Inter', sans-serif;
    }

    .intro-desc-alt .text-white {
        font-weight: 500;
    }

    .d-flex {
        flex-wrap: nowrap;
    }

    .col {
        width: 50%;
    }

    .order-md-1 {
        order: 1!important;
    }

    .order-md-2 {
        order: 2!important;
    }

    .text-md-center {
        text-align: center;
    }

    .text-md-left {
        text-align: left;
    }

    .invite-code-cont {
        width: -moz-fit-content;
        width: fit-content;
        min-width: 500px;
    }

    .invite-link {
        width: -moz-fit-content;
        width: fit-content;
    }

    .copy-success {
        color: var(--success);
        font-size: initial;
    }

    .d-md-block {
        display: block;
    }

    .d-md-none {
        display: none;
    }

    .align-md-center {
        align-items: center;
    }

    .slogan {
        font: normal 500 44px/65px 'Inter', sans-serif;
    }

    .social h3 {
        font: normal 600 32px/48px 'Inter', sans-serif;
    }

    .social li a {
        font: normal 400 28px/48px 'Inter', sans-serif;
    }

    .stat-item-cont {
        min-width: 250px;
        margin: 20px;
    }

    .stat-item-cont .stat-text {
        font-size: 20px;
        line-height: 35px;
    }

    .stat-item-cont .stat-number {
        font-size: 40px;
        line-height: 60px;
    }
}
